/* 
 * global.h
 *
 * The global variables and definitions
 *
 * Changes:
 *  04/05/07 - File creation (jung@ucsd.edu)
 */
#ifndef _GLOBAL_H_
#define _GLOBAL_H_
/*
 * Constant definitions
 */
#define ADDNUM 100
#define L 10000
#define MAXSCORE 99999
#define QUICKHIT 0  //whether use the best hit of BLAST to narrow down the search space
#define gapB 1		//gap penalty for inserting dash into profile, only effect align_bending(), traceback() and newalign();
//#define GlobalLocal 0 //0 means Local alignment, 1 means global alignment 
const int oo=987654321;			//infinitely large
const double percent = 0.1;  //at most compute 10% percent of nodes 
const double searchradius= 0.16; //narrow down the search space to within 0.4 of the best hit of BLAST

int in(int k, char set);
void setone(int k, char & set);
void setzero(int k, char & set);
void setk(int k, char &dstset , char srcset);

/*
 * Structure defintions
 */
typedef struct g_options {
	char* align_file;     // alignment file path
	char* tree_file;      // tree file path
	char* insert_file;    // the file with the sequence to insert
	char* out_file;       // output file
	char* new_tree;       // the output tree file
	int format;		//by default: 0 clustalw, 1 fasta format
	int outformat; //by default: 0 clustalw, 1 fasta 
} g_options;

#endif 
